.BG
.FN predict.phnnet
.TL
Predict New Examples by a Proportional Hazards Net
.DN
Predict new examples by a trained proportional hazards neural net.
.CS
predict.phnnet(object, x, ...)
.RA
.AG object
an object of class `phnnet' as  returned by `phnnet'.
.AG x
matrix or data frame of test examples. A vector is considered to be
a row vector comprising a single case.
.AG ...
arguments passed from or to other methods.
.RT
The scores returned by the trained network.
.DT
.ME predict phnnet
.SA
`phnnet'
.EX
options(na.action=na.omit)
mylung <- apply(lung[,4:10],2,function(x)(x-min(x,na.rm=T))/
		(range(x,na.rm=T)[2]-range(x,na.rm=T)[1])) 
mylung <- cbind(lung[,1:3],mylung) 
mylung$status <- mylung$status-1                

phfit <-  phnnet(Surv(time,status)  ~ ., data=mylung[,-1], decay = 0.01,
                 size = 2, skip=T, trace = T, maxit = 1000,  bias.decay=25)
preds <- predict(phfit,mylung)
.KW neural
.WR
