.BG
.FN predict.survnnet
.TL
Predict New Examples by a Survival Neural Net
.DN
Predict new examples by a trained survival neural net.
.CS
predict.survnnet(object, x, type = c("raw", "class"), loglike = F,
stime = NULL, allHaz = F, ...)
.RA
.AG object
an object of class `survnnet' as returned by `survnnet'.
.AG x
matrix or data frame of test examples. A vector is considered to be
a row vector comprising a single case.
.AG type
select raw output from the net, or the most probable class for a
net with a factor response.
.OA
.AG loglike
for hazard models only, return the cumulative hazard part of the log
likelihood contribution (useful in cross-validation)
.AG stime
for hazard models only, the survival time for the prediction 
.AG allHaz
for hazard models only, return predictions at Nintervals (as stored in
the object) from 0 to stime
.AG ...
arguments passed from or to other methods.
.RT
The values returned by the trained network. For hazard models a list
of three items is returned if either loglike or allHaz is set to
True. The first item contains the fitted values at stime, the second
contains the log likelihood contributions, and the third contains the
predictions of the hazard function at Nintervals points. For
model=`lnormvar', two columns are returned, the second of which is the
unscaled log variance. 
.DT
.ME predict survnnet
.SA
`survnnet'
.EX
mycap <- capacitor
mycap$voltage <- (mycap$voltage-min(mycap$voltage,na.rm=T))/
  (range(mycap$voltage,na.rm=T)[2]-range(mycap$voltage,na.rm=T)[1])

wei <- survnnet(Surv(days,event) ~ voltage, data=mycap,decay = 0.01,
                size = 2, trace = T, skip = T, model = 'weibull', 
                alpha =0.1,maxit=100)
preds <- predict(wei,mycap)
.KW neural
.WR
