options(contrasts = c("contr.treatment", "contr.poly"))
options(na.action = "na.omit")
options(width=65, echo=T, digits=5, length=9999)

assign(where=0, "lib.loc", "../..")
library(survnnet)
#scale datasets
mycap <- capacitor
mycap$voltage <- (mycap$voltage-min(mycap$voltage,na.rm=T))/
  (range(mycap$voltage,na.rm=T)[2]-range(mycap$voltage,na.rm=T)[1])

mylung <- apply(lung[,4:10],2,function(x)(x-min(x,na.rm=T))/
		(range(x,na.rm=T)[2]-range(x,na.rm=T)[1]))
mylung <- cbind(lung[,1:3],mylung)
mylung$status <- mylung$status-1

set.seed(100)
#parametric models
#linear
llog <- survnnet(Surv(days,event) ~ voltage, data=mycap, size = 0, trace = T,
                 skip = T, model = "llog", alpha =0.1)
lnorm <- survnnet(Surv(days,event) ~ voltage, data=mycap, size = 0, trace = T,
                  skip = T, model = "lnorm", alpha =0.1)
wei <- survnnet(Surv(days,event) ~ voltage, data=mycap, size = 0, trace = T,
                skip = T, model = "weibull", alpha =0.1)
expl <- survnnet(Surv(days,event) ~ voltage, data=mycap, size = 0, trace = T,
                 skip = T, model = "exp")
survReg(Surv(days,event) ~ voltage, data=mycap,dist="logistic")
llog$wts
survReg(Surv(days,event) ~ voltage, data=mycap,dist="gaussian")
lnorm$wts
survReg(Surv(days,event) ~ voltage, data=mycap,dist="extreme")
wei$wts
survReg(Surv(days,event) ~ voltage, data=mycap,dist="exp")
expl$wts
llog <- survnnet(Surv(days,event) ~ voltage, data=mycap,decay = 0.01,
                size = 2, trace = T, skip = T, model = "llog",
                alpha =0.1)
lnorm <- survnnet(Surv(days,event) ~ voltage, data=mycap,decay = 0.01,
                size = 2, trace = T, skip = T, model = "lnorm",
                alpha =0.1)
wei <- survnnet(Surv(days,event) ~ voltage, data=mycap,decay = 0.01,
                size = 2, trace = T, skip = T, model = "weibull",
                alpha =0.1)
expl <- survnnet(Surv(days,event) ~ voltage, data=mycap,decay = 0.01,
                size = 2, trace = T, skip = T, model = "exp")
bin <- survnnet(event ~ voltage,data=mycap,entropy=T,skip=T,size=0)
glm(event ~ voltage,data=mycap,family="binomial")
bin$wts
bin <- survnnet(event ~ voltage,data=mycap,entropy=T,skip=T,size=2,
decay=0.01,trace=T,maxit=500)
phfit <- phnnet(Surv(time,status)  ~ ., data=mylung[,-1], decay = 0.0,size = 0,
                 skip=T, trace = T)
coxph(Surv(time,status)  ~ ., data=mylung[,-1])
phfit$wts
phtfit <-  phtnnet(Surv(time,status)   ~ ., data=mylung[,-1], decay = 0.0,
		   size = 0, skip=T, trace = T,breakpts=c(0,10000),dohess=T)
phtfit$wts
phtfit <-  phtnnet(Surv(time,status)   ~ ., data=mylung[,-1], decay = 0.01,
		   size = 2, skip=T, trace = T,maxit=1000,dohess=T,
		   breakpts=c(0,100,200,300,10000))
#rm(wei,llog,lnorm,expl,phtfit,bin,phfit,mycap,mylung,.Random.seed)
